<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:composite="http://java.sun.com/jsf/composite"
      xmlns="http://www.w3.org/1999/xhtml">


<composite:interface>
    <composite:attribute name="uiBean" required="true"/>
</composite:interface>
<composite:implementation>
    <script type="text/javascript">
            function resetInputSize() {
                $('.formError div').filter(':empty').parent().prev()
                        .removeClass('ui-grid-col-6').addClass('ui-grid-col-12')
                        .next().css('display', 'none');
                $('input').css('width', '100%');
            }
            jQuery(document).ready(function () {
                resetInputSize();
            });

    </script>
    <ui:param name="uiBean" value="#{uiBean}"/>
    <h:outputStylesheet name="css/org/inra/ecoinfo/identification/jsf-requestRightsManagementPanel.css"/>
    <f:loadBundle basename="org.inra.ecoinfo.jsf.index" var="index"/>
    <f:loadBundle
            basename="org.inra.ecoinfo.acbb.identification.message"
            var="requestACBBRightsManagementPanel"/>
    <p:panel id="requestACBBForm"
             header="#{requestRights.PARAM_MSG_REQUEST_HEADER}"
             styleClass="custom-rf-p profileForm">
        <p:accordionPanel activeIndex="-1"
                          styleClass="help-panel">
            <p:tab>
                <f:facet name="title">
                    <p class="intro-main">
                        <h:outputLabel value="#{requestRights.PARAM_MSG_DEMAND}"/>
                    </p>
                </f:facet>
                <p class="intro-main">
                    <h:outputLabel value="#{requestRights.PARAM_MSG_DEMAND}"/>
                </p>
                <p class="intro-main">
                    <h:outputText value="#{requestACBBRightsManagementPanel.PARAM_MSG_DEMAND}" escape="false"/>
                </p>
            </p:tab>
        </p:accordionPanel>

        <br/>
        <p:panelGrid columns="2" layout="grid" styleClass="content ui-g" columnClasses="ui-g-4, ui-g-8">
            <h:outputLabel value="Champs obligatoires" styleClass="mandatory"/>
            <h:outputText/>
            <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_NAME}" for="nom"
                           styleClass="mandatory"/>
            <p:panelGrid columns="2" layout="grid" columnClasses="formInput,formError">
                <h:inputText id="name" value="#{uiBean.nom}" title="name"/>
                <p:message id="msgnname" for="name" styleClass="message"/>
            </p:panelGrid>
            <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_SURNAME}" for="surname"
                           styleClass="mandatory"/>
            <p:panelGrid columns="2" layout="grid" columnClasses="formInput,formError">
                <h:inputText id="surname" value="#{uiBean.prenom}" title="surname"/>
                <p:message id="msgsurname" for="surname" styleClass="message"/>
            </p:panelGrid>
            <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_EMAIL}" for="email"
                           styleClass="mandatory"/>
            <p:panelGrid columns="2" layout="grid" columnClasses="formInput,formError">
                <h:inputText id="email" value="#{uiBean.email}" title="email"/>
                <p:message id="msgemail" for="email" styleClass="message"/>
            </p:panelGrid>
            <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_FUNCTION}" for="fonction"
                           styleClass="mandatory"/>
            <p:panelGrid columns="2" layout="grid" columnClasses="formInput,formError">
                <h:inputText id="fonction" value="#{uiBean.request.rightRequest.fonction}" title="fonction"/>
                <p:message id="msgfonction" for="fonction" styleClass="message"/>
            </p:panelGrid>
            <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_INSTITUTION}" for="institution"
                           styleClass="mandatory"/>
            <p:panelGrid columns="2" layout="grid" columnClasses="formInput,formError">
                <h:inputText id="institution" value="#{uiBean.request.rightRequest.institution}" title="institution"/>
                <p:message id="msginstitution" for="institution" styleClass="message"/>
            </p:panelGrid>
            <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_ADRESS}" for="adress"
                           styleClass="mandatory"/>
            <p:panelGrid columns="2" layout="grid" columnClasses="formInput,formError">
                <h:inputText id="adress" value="#{uiBean.request.rightRequest.workAdress}" title="adress"/>
                <p:message id="msgadress" for="adress" styleClass="message"/>
            </p:panelGrid>
            <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_PHONE}" for="phone"/>
            <p:panelGrid columns="2" layout="grid" columnClasses="formInput,formError">
                <h:inputText id="phone" value="#{uiBean.request.rightRequest.phone}" title="phone"/>
                <p:message id="msgphone" for="phone" styleClass="message"/>
            </p:panelGrid>
            <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_RELATION}" for="relation"/>
            <p:panelGrid columns="2" layout="grid" columnClasses="formInput,formError">
                <h:inputText id="relation" value="#{uiBean.request.rightRequest.relation}" title="relation"/>
                <p:message id="msgrelation" for="relation" styleClass="message"/>
            </p:panelGrid>
            <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_TITLE}" for="title"
                           styleClass="mandatory"/>
            <p:panelGrid columns="2" layout="grid" columnClasses="formInput,formError">
                <h:inputText id="title" value="#{uiBean.request.rightRequest.title}" title="title"/>
                <p:message id="msgtitle" for="title" styleClass="message"/>
            </p:panelGrid>
            <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_OBJECTIVES}" for="objectives"
                           styleClass="mandatory"/>
            <p:panelGrid columns="2" layout="grid" columnClasses="formInput,formError">
                <h:inputTextarea id="objectives" value="#{uiBean.request.rightRequest.objectives}" title="objectives"
                                 style="width: 100%"/>
                <p:message id="msgobjectives" for="objectives" styleClass="message"/>
            </p:panelGrid>
            <h:outputText value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_REQUIRED_DATA_INTRO}"/>
            &nbsp;
            <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_SITES}" for="sites"
                           styleClass="mandatory"/>
            <p:panelGrid columns="2" layout="grid" columnClasses="formInput,formError">
                <p:selectManyCheckbox id="sites"
                                      value="#{uiBean.request.rightRequest.sites}"
                                      layout="pageDirection" columns="2">
                    <f:selectItems value="#{uiBean.sites}" var="car" itemLabel="#{site}" itemValue="#{site}"/>
                </p:selectManyCheckbox>
                <p:message id="msgsites" for="sites" styleClass="message"/>
            </p:panelGrid>
            <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_TREATMENT}" for="treatment"
                           styleClass="mandatory"/>
            <p:panelGrid columns="2" layout="grid" columnClasses="formInput,formError">
                <h:inputText id="treatment" value="#{uiBean.request.rightRequest.treatment}" title="treatment"/>
                <p:message id="msgtreatment" for="treatment" styleClass="message"/>
            </p:panelGrid>
            <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_REQUIRED_DATA}" for="requiredData"
                           styleClass="mandatory"/>
            <p:panelGrid columns="2" layout="grid" columnClasses="formInput,formError">
                <h:inputText id="requiredData" value="#{uiBean.request.rightRequest.requiredData}"
                             title="requiredData"/>
                <p:message id="msgrequiredData" for="requiredData" styleClass="message"/>
            </p:panelGrid>
            <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_PERIOD_DATE}" for="startDate"
                           styleClass="mandatory"/>
            <p:panelGrid columns="2" layout="grid" columnClasses="formInput,formError">
                <h:panelGroup>
                    <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_START_DATE}" for="startDate"
                                   escape="false" styleClass="mandatory"/>
                    <p:inputText id="startDate" value="#{uiBean.request.rightRequest.startDate}"
                                 placeholder="dd/mm/yyyy" title="startDate">
                        <f:converter converterId="localDateTimeConverterDD_MM_YYYY"/>
                    </p:inputText>
                </h:panelGroup>
                <p:message id="msgstartDate" for="startDate" styleClass="message"/>
            </p:panelGrid>
            &nbsp;
            <p:panelGrid columns="2" layout="grid" columnClasses="formInput,formError">
                <h:panelGroup>
                    <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_END_DATE}" for="endDate"
                                   escape="false" styleClass="mandatory"/>
                    <p:inputText id="endDate" value="#{uiBean.request.rightRequest.endDate}"
                                 placeholder="dd/mm/yyyy"
                                 title="endDate">
                        <f:converter converterId="localDateTimeConverterDD_MM_YYYY"/>
                    </p:inputText>
                </h:panelGroup>
                <p:message id="msgendDate" for="endDate" styleClass="message"/>
            </p:panelGrid>
            <h:outputLabel value="#{requestACBBRightsManagementPanel.PROPERTY_MSG_ADDITIONNALS_INFORMATIONS}"
                           for="additionalsInformations"/>
            <p:panelGrid columns="2" layout="grid" columnClasses="formInput,formError">
                <h:inputText id="additionalsInformations"
                             value="#{uiBean.request.rightRequest.additionalsInformations}"/>
                <p:message id="msgadditionalsInformations" for="additionalsInformations" styleClass="message"/>
            </p:panelGrid>
        </p:panelGrid>
    </p:panel>

</composite:implementation>

</html>